Bug 1308526 - python-zope-i18n: Provide a Python 3 subpackage
Summary: python-zope-i18n: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-zope-i18n
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-02-15 13:02 UTC by Petr Viktorin
Modified: 2016-07-11 08:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-28 17:06:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Viktorin 2016-02-15 13:02:35 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Jan Kurik 2016-02-24 15:21:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Dominika Krejčí 2016-06-28 13:30:40 UTC
Hi Ralph,
how is it going? Do you need some help? The Python RPM Porting Guide could be useful. ;)

http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 3 Ralph Bean 2016-06-28 14:44:29 UTC
No, just lazy.  I'll try to do it today.  :)

Comment 4 Ralph Bean 2016-06-28 17:06:02 UTC
Fixed in rawhide.

Comment 5 Dominika Krejčí 2016-07-11 08:16:27 UTC
Thank you, Ralph! :)


Note You need to log in before you can comment on or make changes to this bug.